clear opts;

opts.FORCE = 0;
opts.FORCE_COLLECT = 0;
opts.FORCE_QUERY = 0;
opts.FORCE_DESCRIBE = 0;
opts.FORCE_Z = 0;



opts.root.local = './DB/';

opts.imagePath = [opts.root.local 'images/%s/%s.jpg'];

opts.charPath = [opts.root.local 'characteristics/%s/%s/%s.%s'];

opts.descPath = [opts.root.local 'descriptors/%s/%s.mat'];

opts.collPath = [opts.root.local 'collections/%s/%s.mat'];

opts.queryPath = [opts.root.local 'queries/%s.mat'];

opts.compPath = [opts.root.local 'comparisons/%s.mat'];

opts.figurePath = [opts.root.local 'figures/%s_%s.eps'];

opts.texPath = [opts.root.local 'tex/%s.tex'];

opts.distPath = [opts.root.local 'distances/%s/%s/%s.mat'];

opts.DB = 'DB_id_kw.txt';

% ground truth from Nathan Moroney's color naming web experiment
NM.names = {'maroon'; 'crimson'; 'burgundy'; 'cherry'; 'crimson red'; 'rouge'; 'ruby red'; 'red'; 'peach'; 'brown'; 'orange'; 'coffee'; 'taupe'; 'puce'; 'ochre'; 'beige'; 'gold'; 'cream'; 'ivory'; 'yellow'; 'eggshell'; 'white'; 'chartreuse'; 'silver'; 'lime'; 'green'; 'blue green'; 'teal'; 'aqua'; 'turquoise'; 'cyan'; 'grey'; 'gray'; 'azure'; 'dutch blue'; 'cerulean'; 'marine blue'; 'blue'; 'navy blue'; 'royal blue'; 'periwinkle'; 'black'; 'indigo'; 'lavender'; 'violet'; 'purple'; 'mauve'; 'magenta'; 'pink'; 'rose'};
NM.rgb = [140 28 61;
193 24 68;
140 25 50;
214 28 48;
204 17 34;
212 34 51;
221 34 51;
216 35 44;
252 170 123;
137 76 36;
241 120 32;
148 102 47;
171 147 113;
171 134 55;
209 163 41;
213 195 131;
217 179 36;
225 220 170;
255 255 196;
221 232 64;
238 246 195;
249 253 243;
153 227 38;
180 190 176;
106 239 59;
79 197 74;
49 180 158;
58 175 169;
66 218 211;
59 210 206;
73 214 231;
122 142 148;
126 143 149;
62 142 244;
51 119 204;
41 117 241;
42 107 204;
56 101 210;
28 33 130;
39 41 212;
128 119 231;
30 30 32;
86 43 178;
182 119 224;
152 59 205;
147 48 188;
180 95 160;
219 33 173;
244 91 183;
221 99 152];

NM.lab = mexsRGB2Lab(NM.rgb/255);
