init;
desc = 'lab_hist15';
FS = 20;

kws = NM.names;
Nkw = length(kws);
[matrix, deltarank_kw, deltarank_desc, qs, nqs, Nkws] = myzvalues(kws, {desc});

% get maximum z value per keyword
zmax = zeros(1, Nkw);
for i=1:Nkw
    m = matrix{i};
    m(m==Inf) = -Inf;
    m(isnan(m)) = -Inf;
    zmax(i) = max(m(:));
end

% sort and print
[~, idx] = sort(zmax, 'descend');
for i = 1:Nkw
    fprintf('%3.1f  %s\n', zmax(idx(i)), kws{idx(i)});
end

figure(40);
hold off
barh(zmax(idx(:)));
for i = 1:Nkw
    x = zmax(idx(i));
    hold on
    text(x, i, ['  ' kws{idx(i)}], 'Rotation', 0, 'FontSize', FS);
end

ylim([0 Nkw+1]);
xlim([0 30]);

axis ij
set(gca, 'Ytick', []);